List model providers
The providers a workspace can connect, how to recognise their keys, and on which plans.
GET
The providers a workspace can connect, how to recognise their keys, and on which plans.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
Successful Response
application/json- response
items*array<>version*VersionVersion of the preset table.
curl -X GET 'https://api.veriom.ai/v1/model-providers'Example Response
{ "items": [ { "base_url": "string", "data_collection_control": true, "description": "string", "key_patterns": [ { "match": "exact", "prefix": "string" } ], "key_url": "string", "kind": "anthropic", "label": "string", "logo": "string", "plan_feature": "customer_model_keys", "plans": [ "trial" ], "region": "string", "regional_base_urls": [ { "base_url": "string", "region": "string" } ], "rejected_key_patterns": [ { "code": "admin_key_rejected", "prefix": "string", "production_only": true, "reason": "string" } ], "requires_base_url": true, "runnable": true } ], "version": "string"}